%define major         11
%define gpgmepp_major 6
%define qgpgme_major  7

%define libname_orig  %mklibname %{name}
%define libname       %mklibname %{name} %{major}
%define libgpgmepp    %mklibname gpgmepp %{gpgmepp_major}
%define libqgpgme     %mklibname qgpgme %{qgpgme_major}
%define develname     %mklibname %{name} -d

%define gpg2_version  2.1.13

Summary:	GnuPG Made Easy (GPGME)
Name:		gpgme
Version:	1.8.0
Release:	%mkrel 11
License:	GPLv2+
Group:		File tools
URL:		http://www.gnupg.org/gpgme.html
Source0:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.bz2.sig

### Patches from Fedora
# upstream fix for cmake file(s)
Patch2:		0002-Remove-a-forgotten-instance-of-libsuffix.patch

## downstream patches
# add -D_FILE_OFFSET_BITS... to gpgme-config, upstreamable
Patch11:	gpgme-1.3.2-largefile.patch

# support for Cryptographic Message Syntax protocol
BuildRequires:	gnupg2 >= %{gpg2_version}
BuildRequires:	pth-devel >= 2.0.0
BuildRequires:	libassuan-devel >= 2.0.2
BuildRequires:	libgpg-error-devel >= 1.23
BuildRequires:	libglib2-devel >= 2.0.0
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
# Automatic provides generation for devel subpackage
BuildRequires:	cmake
# Build dependencies for Python subpackages
BuildRequires:	swig
BuildRequires:	python2-devel
BuildRequires:	python3-devel

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{libname}
Summary:	GnuPG Made Easy (GPGME)
Group:		System/Libraries
# support for Cryptographic Message Syntax protocol
Requires:	gnupg2 >= %{gpg2_version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.


%package -n %{libgpgmepp}
Summary:	GpgME++ - C++ bindings/wrapper for gpgme
Group:		System/Libraries

%description -n %{libgpgmepp}
GpgME++ - C++ bindings/wrapper for gpgme

%package -n %{libqgpgme}
Summary:	GpgME++ - C++ bindings/wrapper for gpgme
Group:		System/Libraries

Obsoletes:	%{_lib}kf5gpgme4 < 16.11.90
Obsoletes:	%{_lib}kf5gpgme5 < 16.11.90
Obsoletes:	%{_lib}kf5gpgmepp5 < 16.11.90
Obsoletes:	%{_lib}kf5gpgme-pthread5 < 16.11.90

%description -n %{libqgpgme}
GpgME++ - C++ bindings/wrapper for gpgme.

%package -n %{develname}
Summary:	GnuPG Made Easy (GPGME) Header files and libraries for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgpgmepp} = %{version}-%{release}
Requires:	%{libqgpgme} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 11 -d

Obsoletes:	%{_lib}kf5gpgme-devel < 16.11.90

Conflicts:	kdepimlibs < 2:4.14.11

%description -n %{develname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install this package if you want to develop applications 
that will use the %{name} library for crypto awareness.

%package -n python2-gpg
Summary:	GnuPG Made Easy (GPGME) bindings for Python 2
Group:		Development/Python
Provides:	python-gpg = %{version}-%{release}
Provides:	python-gpg%{?_isa} = %{version}-%{release}
Requires:	%{libname}%{?_isa} = %{version}-%{release}

%description -n python2-gpg
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

This package provides bindings to %{name} libraries for Python 2.

%package -n python3-gpg
Summary:	GnuPG Made Easy (GPGME) bindings for Python 3
Group:		Development/Python
Requires:	%{libname}%{?_isa} = %{version}-%{release}

%description -n python3-gpg
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

This package provides bindings to %{name} libraries for Python 3.


%prep
%setup -q
%autopatch -p1

# Force GPG2
find -type f -name Makefile\* -exec sed -i -e 's|GPG = gpg|GPG = gpg2|' {} ';'

%build
%configure2_5x \
	--enable-languages=cpp,qt,python,cl \
	--disable-static \
	--disable-gpgsm-test
%make_build

# all tests must pass
%check
make check

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/gpgme-config

#we don't want these
find %{buildroot} -name "*.la" -delete

# autofoo installs useless stuff for uninstall
rm -vf %{buildroot}%{python2_sitelib}/gpg/install_files.txt
rm -vf %{buildroot}%{python3_sitelib}/gpg/install_files.txt

%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%license COPYING*
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{libgpgmepp}
%doc lang/cpp/README
%{_libdir}/libgpgmepp.so.%{gpgmepp_major}*

%files -n %{libqgpgme}
%{_libdir}/libqgpgme.so.%{qgpgme_major}*

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%multiarch %{multiarch_bindir}/gpgme-config
%{_bindir}/gpgme-config
%{_bindir}/gpgme-tool
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_includedir}/gpgme++/
%{_includedir}/QGpgME/
%{_includedir}/qgpgme/
%{_includedir}/*.h
%{_infodir}/*
%dir %{_datadir}/common-lisp/source/gpgme
%{_datadir}/common-lisp/source/gpgme/gpgme-package.lisp
%{_datadir}/common-lisp/source/gpgme/gpgme.asd
%{_datadir}/common-lisp/source/gpgme/gpgme.lisp
%{_libdir}/cmake/Gpgmepp/
%{_libdir}/cmake/QGpgme/

%files -n python2-gpg
%doc lang/python/README
%{python2_sitearch}/gpg-*.egg-info
%{python2_sitearch}/gpg/

%files -n python3-gpg
%doc lang/python/README
%{python3_sitearch}/gpg-*.egg-info
%{python3_sitearch}/gpg/


%changelog
* Thu Mar 23 2017 ngompa <ngompa> 1.8.0-11.mga6
+ Revision: 1094591
- Bump rel to try build again
- Add missing python-gpg Provides to python2-gpg

* Sat Mar 11 2017 ngompa <ngompa> 1.8.0-9.mga6
+ Revision: 1091942
- Ensure gpgme uses gpg2 consistently
- Add missing Python bindings
- Add patch from Fedora

* Fri Dec 16 2016 daviddavid <daviddavid> 1.8.0-8.mga6
+ Revision: 1075639
- Obsolete also kf5gpgmepp5

* Thu Dec 15 2016 neoclust <neoclust> 1.8.0-7.mga6
+ Revision: 1075479
- Obsolete kf5gpgme-devel and kf5gpgme5

* Thu Dec 15 2016 rapsys <rapsys> 1.8.0-6.mga6
+ Revision: 1075308
- Rebuild

* Wed Dec 14 2016 neoclust <neoclust> 1.8.0-5.mga6
+ Revision: 1075046
- Add obsoletes to ease upgrade

* Tue Dec 13 2016 daviddavid <daviddavid> 1.8.0-3.mga6
+ Revision: 1074735
- submit to release

* Sat Dec 10 2016 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 1073941
- add an upstream patch to remove a forgotten instance of @libsuffix@

* Sat Dec 10 2016 daviddavid <daviddavid> 1.8.0-1.mga6
+ Revision: 1073923
- new version: 1.8.0 (fixes some bugs for the kde apps 16.12 stack)
- remove merged upstream patch

* Fri Dec 09 2016 daviddavid <daviddavid> 1.7.1-4.mga6
+ Revision: 1073909
- add patch to fix the Qt cmake config files install path

* Thu Dec 08 2016 neoclust <neoclust> 1.7.1-3.mga6
+ Revision: 1073180
- Fix conflicts over kdepimlibs

* Wed Dec 07 2016 neoclust <neoclust> 1.7.1-2.mga6
+ Revision: 1073016
- Enable qt binding

* Wed Dec 07 2016 neoclust <neoclust> 1.7.1-1.mga6
+ Revision: 1073009
- New version 1.7.1

* Mon Feb 15 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 960515
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 fwang <fwang> 1.6.0-1.mga6
+ Revision: 890206
- 1.6.0

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.5.5-1.mga6
+ Revision: 837378
- fix files list
- 1.5.5

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-3.mga5
+ Revision: 739807
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-2.mga5
+ Revision: 679909
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 luigiwalser <luigiwalser> 1.5.1-1.mga5
+ Revision: 658699
- 1.5.1 (fixes CVE-2014-3564)

* Thu Jul 10 2014 luigiwalser <luigiwalser> 1.5.0-1.mga5
+ Revision: 651124
- 1.5.0

* Sat Oct 19 2013 umeabot <umeabot> 1.4.3-2.mga4
+ Revision: 532359
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 sander85 <sander85> 1.4.3-1.mga4
+ Revision: 468097
- New version: 1.4.3

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.4.2-1.mga4
+ Revision: 450796
- 1.4.2

* Wed May 29 2013 guillomovitch <guillomovitch> 1.4.1-1.mga4
+ Revision: 432768
- new version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 352519
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.3.2-1.mga3
+ Revision: 281028
- 1.3.2

* Fri Dec 16 2011 wally <wally> 1.3.1-2.mga2
+ Revision: 182610
- drop .la files (mga#3788)

* Fri Jul 08 2011 ahmad <ahmad> 1.3.1-1.mga2
+ Revision: 120201
- Update to 1.3.1
- Bump BR libgpg-error-devel version

* Sat Jan 15 2011 mikala <mikala> 1.3.0-2.mga1
+ Revision: 18620
- Drop mdk macros
- Remove BuildRoot
- imported package gpgme

